Start Conversation
curl --request POST \
--url https://app.all-hands.dev/api/conversations/{conversation_id}/start \
--header 'Content-Type: application/json' \
--header 'X-Session-API-Key: <api-key>' \
--data '
{
"providers_set": []
}
'import requests
url = "https://app.all-hands.dev/api/conversations/{conversation_id}/start"
payload = { "providers_set": [] }
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({providers_set: []})
};
fetch('https://app.all-hands.dev/api/conversations/{conversation_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"conversation_id": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Start Conversation
Start an agent loop for a conversation.
This endpoint calls the conversation_manager’s maybe_start_agent_loop method to start a conversation. If the conversation is already running, it will return the existing agent loop info.
POST
/
api
/
conversations
/
{conversation_id}
/
start
Start Conversation
Authorizations
Path Parameters
Body
application/json
Available options:
github, gitlab, bitbucket, enterprise_sso Was this page helpful?
⌘I

